Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Contact

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.Contact

public class Contact
extends java.lang.Object

The contact structure lets you record contact information for a person. This information can consist of one or more optional elements, along with a person’s name.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`Contact()` Class constructor.

Method Summary
`void` | `addAddress(Address addr)` Adds a new address to the set of addresses.
`void` | `addDescription(java.lang.String description)` Adds a new description to the set of descriptions.
`void` | `addEmail(java.lang.String email)` Adds a new email to the set of emails.
`void` | `addPhone(java.lang.String phone)` Adds a new phone number to the set of phone numbers.
`java.util.Vector` | `getAddressVector()` Gets the set of addresses.
`java.util.Vector` | `getDescriptionVector()` Gets the set of descriptions.
`java.util.Vector` | `getEmailVector()` Gets the set of emails.
`PersonName` | `getPersonName()` Gets the value of person name.
`java.util.Vector` | `getPhoneVector()` Gets the set of phone numbers.
`java.lang.String` | `getUseType()` Get the value of use type.
`void` | `setAddressVector(java.util.Vector v)` Gets the set of addresses.
`void` | `setDescriptionVector(java.util.Vector v)` Gets the set of descriptions.
`void` | `setEmailVector(java.util.Vector v)` Gets the set of emails.
`void` | `setPersonName(PersonName value)` Sets the value of person name.
`void` | `setPersonName(java.lang.String value)` Sets the value of person name string.
`void` | `setPhoneVector(java.util.Vector v)` Gets the set of phone numbers.
`void` | `setUseType(java.lang.String value)` Set the value of use type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contact

    public Contact()

  Class constructor.

Method Detail

### getUseType

    public java.lang.String getUseType()

  Get the value of use type.

  Returns:
    the current value of use type.

### setUseType

    public void setUseType(java.lang.String value)

  Set the value of use type.

  Parameters:
    `value` - the new value of use type.

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the set of descriptions.

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector v)

  Gets the set of descriptions.

  Parameters:
    `v` - the new set of descriptions.

### addDescription

    public void addDescription(java.lang.String description)

  Adds a new description to the set of descriptions.

  Parameters:
    `description` - the new description.

### getPersonName

    public PersonName getPersonName()

  Gets the value of person name.

  Returns:
    the current value of person name.

### setPersonName

    public void setPersonName(PersonName value)

  Sets the value of person name.

  Parameters:
    `value` - the new value of person name.

### setPersonName

    public void setPersonName(java.lang.String value)

  Sets the value of person name string.

  Parameters:
    `value` - the new value of person name string.

### getPhoneVector

    public java.util.Vector getPhoneVector()

  Gets the set of phone numbers.

  Returns:
    the current set of phone numbers.

### setPhoneVector

    public void setPhoneVector(java.util.Vector v)

  Gets the set of phone numbers.

  Parameters:
    `v` - the new set of phone numbers.

### addPhone

    public void addPhone(java.lang.String phone)

  Adds a new phone number to the set of phone numbers.

  Parameters:
    `phone` - the new phone number.

### getEmailVector

    public java.util.Vector getEmailVector()

  Gets the set of emails.

  Returns:
    the set of emails.

### setEmailVector

    public void setEmailVector(java.util.Vector v)

  Gets the set of emails.

  Parameters:
    `v` - the new set of emails.

### addEmail

    public void addEmail(java.lang.String email)

  Adds a new email to the set of emails.

  Parameters:
    `email` - the new email.

### getAddressVector

    public java.util.Vector getAddressVector()

  Gets the set of addresses.

  Returns:
    the set of addresses.

### setAddressVector

    public void setAddressVector(java.util.Vector v)

  Gets the set of addresses.

  Parameters:
    `v` - the new set of addresses.

### addAddress

    public void addAddress(Address addr)

  Adds a new address to the set of addresses.

  Parameters:
    `addr` - the new address.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference